import React from "react";
import { CommonAndHTMLProps } from "../Element/constants";
export type ModalElementType = HTMLDivElement;
export interface ModalCustomProps {
    id: string;
    isDismissible?: boolean;
    showBackdrop?: boolean;
    blurBackdrop?: boolean;
}
export type ModalProps = Omit<CommonAndHTMLProps<ModalElementType>, keyof ModalCustomProps> & ModalCustomProps;
export declare const Modal: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLDivElement>, keyof ModalCustomProps> & ModalCustomProps & React.RefAttributes<HTMLDivElement>>;
export declare const showModal: (modalId: string) => void;
export declare const hideModal: (modalId: string) => void;
export declare const toggleModal: (modalId: string) => void;
